using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Skyside3gbySourceEditer
{
    public partial class Main : Form
    {
        public Main()
        {
            InitializeComponent();
        }

        private void 关于天际边三国霸业数据修改程序ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            About about = new About();
            about.ShowDialog();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            HeroDataEditer heroDataEditer = new HeroDataEditer();
            heroDataEditer.Show();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            CityDataEditer cityDataEditer = new CityDataEditer();
            cityDataEditer.Show();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            GoodDataEditer goodDataEditer = new GoodDataEditer();
            goodDataEditer.Show();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            HeroNameEditer heroNameEditer = new HeroNameEditer();
            heroNameEditer.Show();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            CityNameEditer cityNameEditer = new CityNameEditer();
            cityNameEditer.Show();
        }

        private void button6_Click(object sender, EventArgs e)
        {
            GoodNameEditer goodNameEditer = new GoodNameEditer();
            goodNameEditer.Show();
        }

        private void button7_Click(object sender, EventArgs e)
        { 
            HeroHeadEditer heroHeadEditer = new HeroHeadEditer();
            heroHeadEditer.Show();
        }

        private void button8_Click(object sender, EventArgs e)
        {
            FightHeroPicEditer fightHeroPicEditer = new FightHeroPicEditer();
            fightHeroPicEditer.Show();
        }

        private void button9_Click(object sender, EventArgs e)
        {
            FightSkillPicEditer fightSkillPicEditer = new FightSkillPicEditer();
            fightSkillPicEditer.Show();
        }

        private void button10_Click(object sender, EventArgs e)
        {
            SaveEditer saveEditer = new SaveEditer();
            saveEditer.Show();
        }

        private void button11_Click(object sender, EventArgs e)
        {
            //MessageBox.Show("请安装JAVA运行环境后单独运行地图编辑器，这里不进行集成。"); 
            MapEditer mapEditer = new MapEditer();
            mapEditer.ShowDialog();
        }

        private void button12_Click(object sender, EventArgs e)
        {
            MessageBox.Show("敬请期待！"); 

        }

        private void 退出ToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Close();
        }



    }
}
